Bug 1256399 - (CVE-2015-6654, xsa141) CVE-2015-6654 xen: printk is not rate-limited in xenmem_add_to_physmap_one
CVE-2015-6654 xen: printk is not rate-limited in xenmem_add_to_physmap_one
Status: CLOSED NOTABUG
Product: Security Response
Classification: Other
Component: vulnerability (Show other bugs)
unspecified
All Linux
low Severity low
: ---
: ---
Assigned To: Red Hat Product Security
impact=low,public=20150901,reported=2...
: Security
Depends On:
Blocks: 1256401
  Show dependency treegraph
 
Reported: 2015-08-24 09:20 EDT by Adam Mariš
Modified: 2015-09-02 08:33 EDT (History)
10 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-08-26 07:09:54 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
xsa141 patch (1.03 KB, patch)
2015-08-24 09:24 EDT, Adam Mariš
no flags Details | Diff

  None (edit)
Description Adam Mariš 2015-08-24 09:20:40 EDT
XENMAPSPACE_gmfn_foreign dumps the p2m, on ARM, when it fails to get a
reference on the foreign page. However, dump_p2m_lookup does not use
rate-limited printk.

A malicious infrastructure domain, which is allowed to map memory of
a foreign guest, would be able to flood the Xen console.

Impact:

Domains deliberately given partial management control may be able to
deny service to other parts of the system.

As a result, in a system designed to enhance security by radically
disaggregating the management, the security may be reduced. But, the
security will be no worse than a non-disaggregated design.

Vulnerable systems:

This issue is only relevant to systems which intend to increase
security through the use of advanced disaggregated management
techniques.

This does not include systems using libxl, libvirt, xm/xend,
XCP/XenServer, OpenStack or CloudStack (unless substantially modified
or supplemented, as compared to versions supplied by the respective
upstreams).

This issue is not relevant to stub device models, driver domains, or
stub xenstored. Those disaggregation techniques do not rely on
granting the semi-privileged support domains access to the affected
hypercall, and are believed to provide the intended security benefits.

Only ARM systems are potentially affected. All Xen versions which
support ARM are potentially affected.
Comment 1 Adam Mariš 2015-08-24 09:24:27 EDT
Created attachment 1066392 [details]
xsa141 patch
Comment 2 Petr Matousek 2015-08-26 07:09:54 EDT
Statement:

Not vulnerable.

This issue does not affect the Xen hypervisor packages as shipped with Red Hat Enterprise Linux 5.

This issue does not affect Red Hat Enterprise Linux 6, 7 or any other Red Hat supported product because of the lack of Xen hypervisor support.

Note You need to log in before you can comment on or make changes to this bug.